Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim.util
Class RimSwitch

    java.lang.Object
      org.eclipse.ohf.ihe.common.ebxml._3._0.rim.util.RimSwitch

    public class RimSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `RimPackage`

Constructor Summary
`RimSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseActionType(ActionType object)` Returns the result of interpretting the object as an instance of 'Action Type'.
`java.lang.Object` | `caseAdhocQueryType(AdhocQueryType object)` Returns the result of interpretting the object as an instance of 'Adhoc Query Type'.
`java.lang.Object` | `caseAssociationType1(AssociationType1 object)` Returns the result of interpretting the object as an instance of 'Association Type1'.
`java.lang.Object` | `caseAuditableEventType(AuditableEventType object)` Returns the result of interpretting the object as an instance of 'Auditable Event Type'.
`java.lang.Object` | `caseClassificationNodeType(ClassificationNodeType object)` Returns the result of interpretting the object as an instance of 'Classification Node Type'.
`java.lang.Object` | `caseClassificationSchemeType(ClassificationSchemeType object)` Returns the result of interpretting the object as an instance of 'Classification Scheme Type'.
`java.lang.Object` | `caseClassificationType(ClassificationType object)` Returns the result of interpretting the object as an instance of 'Classification Type'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseEmailAddressType(EmailAddressType object)` Returns the result of interpretting the object as an instance of 'Email Address Type'.
`java.lang.Object` | `caseExternalIdentifierType(ExternalIdentifierType object)` Returns the result of interpretting the object as an instance of 'External Identifier Type'.
`java.lang.Object` | `caseExternalLinkType(ExternalLinkType object)` Returns the result of interpretting the object as an instance of 'External Link Type'.
`java.lang.Object` | `caseExtrinsicObjectType(ExtrinsicObjectType object)` Returns the result of interpretting the object as an instance of 'Extrinsic Object Type'.
`java.lang.Object` | `caseFederationType(FederationType object)` Returns the result of interpretting the object as an instance of 'Federation Type'.
`java.lang.Object` | `caseIdentifiableType(IdentifiableType object)` Returns the result of interpretting the object as an instance of 'Identifiable Type'.
`java.lang.Object` | `caseInternationalStringType(InternationalStringType object)` Returns the result of interpretting the object as an instance of 'International String Type'.
`java.lang.Object` | `caseLocalizedStringType(LocalizedStringType object)` Returns the result of interpretting the object as an instance of 'Localized String Type'.
`java.lang.Object` | `caseNotificationType(NotificationType object)` Returns the result of interpretting the object as an instance of 'Notification Type'.
`java.lang.Object` | `caseNotifyActionType(NotifyActionType object)` Returns the result of interpretting the object as an instance of 'Notify Action Type'.
`java.lang.Object` | `caseObjectRefListType(ObjectRefListType object)` Returns the result of interpretting the object as an instance of 'Object Ref List Type'.
`java.lang.Object` | `caseObjectRefType(ObjectRefType object)` Returns the result of interpretting the object as an instance of 'Object Ref Type'.
`java.lang.Object` | `caseOrganizationType(OrganizationType object)` Returns the result of interpretting the object as an instance of 'Organization Type'.
`java.lang.Object` | `casePersonNameType(PersonNameType object)` Returns the result of interpretting the object as an instance of 'Person Name Type'.
`java.lang.Object` | `casePersonType(PersonType object)` Returns the result of interpretting the object as an instance of 'Person Type'.
`java.lang.Object` | `casePostalAddressType(PostalAddressType object)` Returns the result of interpretting the object as an instance of 'Postal Address Type'.
`java.lang.Object` | `caseQueryExpressionType(QueryExpressionType object)` Returns the result of interpretting the object as an instance of 'Query Expression Type'.
`java.lang.Object` | `caseRegistryObjectListType(RegistryObjectListType object)` Returns the result of interpretting the object as an instance of 'Registry Object List Type'.
`java.lang.Object` | `caseRegistryObjectType(RegistryObjectType object)` Returns the result of interpretting the object as an instance of 'Registry Object Type'.
`java.lang.Object` | `caseRegistryPackageType(RegistryPackageType object)` Returns the result of interpretting the object as an instance of 'Registry Package Type'.
`java.lang.Object` | `caseRegistryType(RegistryType object)` Returns the result of interpretting the object as an instance of 'Registry Type'.
`java.lang.Object` | `caseServiceBindingType(ServiceBindingType object)` Returns the result of interpretting the object as an instance of 'Service Binding Type'.
`java.lang.Object` | `caseServiceType(ServiceType object)` Returns the result of interpretting the object as an instance of 'Service Type'.
`java.lang.Object` | `caseSlotListType(SlotListType object)` Returns the result of interpretting the object as an instance of 'Slot List Type'.
`java.lang.Object` | `caseSlotType1(SlotType1 object)` Returns the result of interpretting the object as an instance of 'Slot Type1'.
`java.lang.Object` | `caseSpecificationLinkType(SpecificationLinkType object)` Returns the result of interpretting the object as an instance of 'Specification Link Type'.
`java.lang.Object` | `caseSubscriptionType(SubscriptionType object)` Returns the result of interpretting the object as an instance of 'Subscription Type'.
`java.lang.Object` | `caseTelephoneNumberListType(TelephoneNumberListType object)` Returns the result of interpretting the object as an instance of 'Telephone Number List Type'.
`java.lang.Object` | `caseTelephoneNumberType(TelephoneNumberType object)` Returns the result of interpretting the object as an instance of 'Telephone Number Type'.
`java.lang.Object` | `caseUserType(UserType object)` Returns the result of interpretting the object as an instance of 'User Type'.
`java.lang.Object` | `caseValueListType(ValueListType object)` Returns the result of interpretting the object as an instance of 'Value List Type'.
`java.lang.Object` | `caseVersionInfoType(VersionInfoType object)` Returns the result of interpretting the object as an instance of 'Version Info Type'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RimSwitch

    public RimSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseActionType

    public java.lang.Object caseActionType(ActionType object)

  Returns the result of interpretting the object as an instance of 'Action Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Action Type'.
  See Also:
    `doSwitch(EObject)`

### caseAdhocQueryType

    public java.lang.Object caseAdhocQueryType(AdhocQueryType object)

  Returns the result of interpretting the object as an instance of 'Adhoc Query Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Adhoc Query Type'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationType1

    public java.lang.Object caseAssociationType1(AssociationType1 object)

  Returns the result of interpretting the object as an instance of 'Association Type1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Type1'.
  See Also:
    `doSwitch(EObject)`

### caseAuditableEventType

    public java.lang.Object caseAuditableEventType(AuditableEventType object)

  Returns the result of interpretting the object as an instance of 'Auditable Event Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Auditable Event Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationNodeType

    public java.lang.Object caseClassificationNodeType(ClassificationNodeType object)

  Returns the result of interpretting the object as an instance of 'Classification Node Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Node Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationSchemeType

    public java.lang.Object caseClassificationSchemeType(ClassificationSchemeType object)

  Returns the result of interpretting the object as an instance of 'Classification Scheme Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Scheme Type'.
  See Also:
    `doSwitch(EObject)`

### caseClassificationType

    public java.lang.Object caseClassificationType(ClassificationType object)

  Returns the result of interpretting the object as an instance of 'Classification Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Classification Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseEmailAddressType

    public java.lang.Object caseEmailAddressType(EmailAddressType object)

  Returns the result of interpretting the object as an instance of 'Email Address Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Email Address Type'.
  See Also:
    `doSwitch(EObject)`

### caseExternalIdentifierType

    public java.lang.Object caseExternalIdentifierType(ExternalIdentifierType object)

  Returns the result of interpretting the object as an instance of 'External Identifier Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'External Identifier Type'.
  See Also:
    `doSwitch(EObject)`

### caseExternalLinkType

    public java.lang.Object caseExternalLinkType(ExternalLinkType object)

  Returns the result of interpretting the object as an instance of 'External Link Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'External Link Type'.
  See Also:
    `doSwitch(EObject)`

### caseExtrinsicObjectType

    public java.lang.Object caseExtrinsicObjectType(ExtrinsicObjectType object)

  Returns the result of interpretting the object as an instance of 'Extrinsic Object Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Extrinsic Object Type'.
  See Also:
    `doSwitch(EObject)`

### caseFederationType

    public java.lang.Object caseFederationType(FederationType object)

  Returns the result of interpretting the object as an instance of 'Federation Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Federation Type'.
  See Also:
    `doSwitch(EObject)`

### caseIdentifiableType

    public java.lang.Object caseIdentifiableType(IdentifiableType object)

  Returns the result of interpretting the object as an instance of 'Identifiable Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Identifiable Type'.
  See Also:
    `doSwitch(EObject)`

### caseInternationalStringType

    public java.lang.Object caseInternationalStringType(InternationalStringType object)

  Returns the result of interpretting the object as an instance of 'International String Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'International String Type'.
  See Also:
    `doSwitch(EObject)`

### caseLocalizedStringType

    public java.lang.Object caseLocalizedStringType(LocalizedStringType object)

  Returns the result of interpretting the object as an instance of 'Localized String Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Localized String Type'.
  See Also:
    `doSwitch(EObject)`

### caseNotificationType

    public java.lang.Object caseNotificationType(NotificationType object)

  Returns the result of interpretting the object as an instance of 'Notification Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Notification Type'.
  See Also:
    `doSwitch(EObject)`

### caseNotifyActionType

    public java.lang.Object caseNotifyActionType(NotifyActionType object)

  Returns the result of interpretting the object as an instance of 'Notify Action Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Notify Action Type'.
  See Also:
    `doSwitch(EObject)`

### caseObjectRefListType

    public java.lang.Object caseObjectRefListType(ObjectRefListType object)

  Returns the result of interpretting the object as an instance of 'Object Ref List Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Object Ref List Type'.
  See Also:
    `doSwitch(EObject)`

### caseObjectRefType

    public java.lang.Object caseObjectRefType(ObjectRefType object)

  Returns the result of interpretting the object as an instance of 'Object Ref Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Object Ref Type'.
  See Also:
    `doSwitch(EObject)`

### caseOrganizationType

    public java.lang.Object caseOrganizationType(OrganizationType object)

  Returns the result of interpretting the object as an instance of 'Organization Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Organization Type'.
  See Also:
    `doSwitch(EObject)`

### casePersonNameType

    public java.lang.Object casePersonNameType(PersonNameType object)

  Returns the result of interpretting the object as an instance of 'Person Name Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Person Name Type'.
  See Also:
    `doSwitch(EObject)`

### casePersonType

    public java.lang.Object casePersonType(PersonType object)

  Returns the result of interpretting the object as an instance of 'Person Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Person Type'.
  See Also:
    `doSwitch(EObject)`

### casePostalAddressType

    public java.lang.Object casePostalAddressType(PostalAddressType object)

  Returns the result of interpretting the object as an instance of 'Postal Address Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Postal Address Type'.
  See Also:
    `doSwitch(EObject)`

### caseQueryExpressionType

    public java.lang.Object caseQueryExpressionType(QueryExpressionType object)

  Returns the result of interpretting the object as an instance of 'Query Expression Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Expression Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryObjectListType

    public java.lang.Object caseRegistryObjectListType(RegistryObjectListType object)

  Returns the result of interpretting the object as an instance of 'Registry Object List Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Object List Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryObjectType

    public java.lang.Object caseRegistryObjectType(RegistryObjectType object)

  Returns the result of interpretting the object as an instance of 'Registry Object Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Object Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryPackageType

    public java.lang.Object caseRegistryPackageType(RegistryPackageType object)

  Returns the result of interpretting the object as an instance of 'Registry Package Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Package Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryType

    public java.lang.Object caseRegistryType(RegistryType object)

  Returns the result of interpretting the object as an instance of 'Registry Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Registry Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceBindingType

    public java.lang.Object caseServiceBindingType(ServiceBindingType object)

  Returns the result of interpretting the object as an instance of 'Service Binding Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Binding Type'.
  See Also:
    `doSwitch(EObject)`

### caseServiceType

    public java.lang.Object caseServiceType(ServiceType object)

  Returns the result of interpretting the object as an instance of 'Service Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Service Type'.
  See Also:
    `doSwitch(EObject)`

### caseSlotListType

    public java.lang.Object caseSlotListType(SlotListType object)

  Returns the result of interpretting the object as an instance of 'Slot List Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Slot List Type'.
  See Also:
    `doSwitch(EObject)`

### caseSlotType1

    public java.lang.Object caseSlotType1(SlotType1 object)

  Returns the result of interpretting the object as an instance of 'Slot Type1'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Slot Type1'.
  See Also:
    `doSwitch(EObject)`

### caseSpecificationLinkType

    public java.lang.Object caseSpecificationLinkType(SpecificationLinkType object)

  Returns the result of interpretting the object as an instance of 'Specification Link Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Specification Link Type'.
  See Also:
    `doSwitch(EObject)`

### caseSubscriptionType

    public java.lang.Object caseSubscriptionType(SubscriptionType object)

  Returns the result of interpretting the object as an instance of 'Subscription Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Subscription Type'.
  See Also:
    `doSwitch(EObject)`

### caseTelephoneNumberListType

    public java.lang.Object caseTelephoneNumberListType(TelephoneNumberListType object)

  Returns the result of interpretting the object as an instance of 'Telephone Number List Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Telephone Number List Type'.
  See Also:
    `doSwitch(EObject)`

### caseTelephoneNumberType

    public java.lang.Object caseTelephoneNumberType(TelephoneNumberType object)

  Returns the result of interpretting the object as an instance of 'Telephone Number Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Telephone Number Type'.
  See Also:
    `doSwitch(EObject)`

### caseUserType

    public java.lang.Object caseUserType(UserType object)

  Returns the result of interpretting the object as an instance of 'User Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Type'.
  See Also:
    `doSwitch(EObject)`

### caseValueListType

    public java.lang.Object caseValueListType(ValueListType object)

  Returns the result of interpretting the object as an instance of 'Value List Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value List Type'.
  See Also:
    `doSwitch(EObject)`

### caseVersionInfoType

    public java.lang.Object caseVersionInfoType(VersionInfoType object)

  Returns the result of interpretting the object as an instance of 'Version Info Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Version Info Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD